<?php

/**
 * Webkul MarketingCloudMagentoConnector SubscriberInterface
 * @category  Webkul
 * @package   Webkul_MarketingCloudMagentoConnector
 * @author    Webkul
 * @copyright Copyright (c) 2010-2017 Webkul Software Private Limited (https://webkul.com)
 * @license   https://store.webkul.com/license.html
 */

namespace Webkul\MarketingCloudMagentoConnector\Api\Data;


interface SubscriberInterface
{
/**
    * Constants for keys of data array. Identical to the name of the getter in snake case
    */

    const MC_SUBSLISTID    = 'mc_subsListId';
    const MC_SUBSLISTNAME   = 'mc_subsListName';
    const MC_SUBSID    = 'mc_subsId';
    const MC_SUBSEMAIL    = 'mc_subsEmail';
    const MCSUBSKEY    = 'mc_subsKey';

    public function getMcSubsListId();


    /**
     * Set McSubsListId.
     */
    public function setMcSubsListId($mcSubsListId);


    /**
     * Get McSubsListName.
     *
     * @return varchar
     */
    public function getMcSubsListName();


    /**
     * Set McSubsListName.
     */
    public function setMcSubsListName($mcSubsListName);


    /**
     * Get McSubsId.
     *
     * @return varchar
     */
    public function getMcSubsId();

    /**
     * Set McSubsId.
     */
    public function setMcSubsId($mcSubsId);
    /**
     * Get McSubsEmail.
     *
     * @return varchar
     */
    public function getMcSubsEmail();
    /**
     * Set McSubsEmail.
     */
    public function setMcSubsEmail($mcSubsEmail);

    /**
     * Get McSubsKey.
     *
     * @return varchar
     */
    public function getMcSubsKey();

    /**
     * Set McSubsKey.
     */
    public function setMcSubsKey($mcSubsKey);

    /**
     * Get CreatedAt.
     *
     * @return varchar
     */
    //public function getCreatedAt();

    /**
     * Set CreatedAt.
     */
    //public function setCreatedAt($createdAt);
}
